We are transitioning over to a new forum platform. Please post new issues there. Existing threads will be dealt with here unless you choose to move them over. Visit the new forum

Forum

Thread tagged as: Question, Problem

Can't log in to old site "license key isn't valid for this domain"

Hi,

I'm working on a client's old Perch site. I can log in fine to the live site's admin but I can't log in to a local version of the same site (I created a fresh copy from the live site).

I have access to the Perch account where the license is and updated the Development domain appropriately, and triple-checked that it is the correct license number and have tried a couple of different domains in case there was some format issue.

Can't think of what else to do to get access to Perch from a new domain. I'm using MAMP and can set the domain to whatever I want, if that helps.

Diagnostics:

Perch: 2.8.6, PHP: 7.0.32, MySQL: mysqlnd 5.0.12-dev - 20150407 - $Id: b5c5906d452ec590732a93b051f3827e02749b83 $, with PDO
Server OS: Linux, cgi-fcgi
Installed apps: content (2.8.6), assets (2.8.6), categories (2.8.6)
App runtimes: <?php include(PERCH_PATH.'/core/apps/content/runtime.php'); include(PERCH_PATH.'/addons/apps/kirk_meta/runtime.php'); include(PERCH_PATH.'/addons/apps/kirk_admin_links/runtime.php'); include(PERCH_PATH.'/addons/apps/kirk_email_obfuscator/runtime.php'); ?>
PERCH_LOGINPATH: /admin
PERCH_PATH: /home/pbnhccom/public_html/plantricianproject.org/admin
PERCH_CORE: /home/pbnhccom/public_html/plantricianproject.org/admin/core
PERCH_RESFILEPATH: /home/pbnhccom/public_html/plantricianproject.org/admin/resources
Image manipulation: GD
PHP limits: Max upload 100M, Max POST 8M, Memory: 512M, Total max file upload: 8M
Resource folder writeable: Yes
DOCUMENT_ROOT: /home/pbnhccom/public_html/plantricianproject.org
HTTP_HOST: plantricianproject.org
REQUEST_URI: /admin/core/settings/diagnostics/
SCRIPT_NAME: /admin/core/settings/diagnostics/index.php
Kirk Roberts

Kirk Roberts 0 points

  • 2 months ago
Duncan Revell

Duncan Revell 78 points
Registered Developer

You're using PHP 7, so you need to be on at least v2.8.34 of Perch.

Kirk, Here is some information about the issue you are experiencing.

https://grabaperch.com/blog/archive/2018-11-14-old-perch-installs-and-php-7

Brilliant, thank you Duncan and Robert!